<!DOCTYPE html>
<html class="writer-html5" lang="en" >
<head>
  <meta charset="utf-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>Index &mdash; anonym anonym documentation</title>
      <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
      <link rel="stylesheet" href="_static/css/theme.css" type="text/css" />
      <link rel="stylesheet" href="_static/css/custom.css" type="text/css" />
  <!--[if lt IE 9]>
    <script src="_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
        <script src="_static/jquery.js?v=5d32c60e"></script>
        <script src="_static/_sphinx_javascript_frameworks_compat.js?v=2cd50e6c"></script>
        <script src="_static/documentation_options.js?v=14175b09"></script>
        <script src="_static/doctools.js?v=888ff710"></script>
        <script src="_static/sphinx_highlight.js?v=dc90522c"></script>
    <script src="_static/js/theme.js"></script>
    <link rel="index" title="Index" href="#" />
    <link rel="search" title="Search" href="search.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >

          
          
          <a href="index.html" class="icon icon-home">
            anonym
          </a>
              <div class="version">
                0.1.1
              </div>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" aria-label="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
    
              <p class="caption" role="heading"><span class="caption-text">Installation</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="Installation.html">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="Installation.html#uninstalling">Uninstalling</a></li>
</ul>
<p class="caption" role="heading"><span class="caption-text">Methods</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="Algorithm.html">Algorithm</a></li>
<li class="toctree-l1"><a class="reference internal" href="Algorithm.html#named-entity-recognition-catagories">Named Entity Recognition Catagories</a></li>
<li class="toctree-l1"><a class="reference internal" href="Algorithm.html#faking-the-data-entries">Faking the data entries</a></li>
<li class="toctree-l1"><a class="reference internal" href="Import%20and%20save.html">Import and saving</a></li>
<li class="toctree-l1"><a class="reference internal" href="Import%20and%20save.html#import-from-csv">Import from csv</a></li>
<li class="toctree-l1"><a class="reference internal" href="Import%20and%20save.html#saving-to-csv">Saving to csv</a></li>
</ul>
<p class="caption" role="heading"><span class="caption-text">Examples</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="Examples.html">Quickstart to anonym your data set</a></li>
<li class="toctree-l1"><a class="reference internal" href="Examples.html#anonymize-data-set-with-user-defined-specifications">Anonymize data set with user defined specifications</a></li>
</ul>
<p class="caption" role="heading"><span class="caption-text">Documentation</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="Documentation.html">Github</a></li>
<li class="toctree-l1"><a class="reference internal" href="Documentation.html#colab-notebook">Colab Notebook</a></li>
<li class="toctree-l1"><a class="reference internal" href="Coding%20quality.html">Coding quality</a></li>
<li class="toctree-l1"><a class="reference internal" href="anonym.anonym.html">API References</a></li>
</ul>

    <a href= "#">Index</a>
  
        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="index.html">anonym</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="index.html" class="icon icon-home" aria-label="Home"></a></li>
      <li class="breadcrumb-item active">Index</li>
      <li class="wy-breadcrumbs-aside">
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             

<h1 id="index">Index</h1>

<div class="genindex-jumpbox">
 <a href="#A"><strong>A</strong></a>
 | <a href="#C"><strong>C</strong></a>
 | <a href="#E"><strong>E</strong></a>
 | <a href="#F"><strong>F</strong></a>
 | <a href="#G"><strong>G</strong></a>
 | <a href="#I"><strong>I</strong></a>
 | <a href="#M"><strong>M</strong></a>
 | <a href="#P"><strong>P</strong></a>
 | <a href="#R"><strong>R</strong></a>
 | <a href="#S"><strong>S</strong></a>
 | <a href="#T"><strong>T</strong></a>
 
</div>
<h2 id="A">A</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="anonym.anonym.html#anonym.anonym.anonym">anonym (class in anonym.anonym)</a>
</li>
      <li>
    anonym.anonym

      <ul>
        <li><a href="anonym.anonym.html#module-anonym.anonym">module</a>
</li>
      </ul></li>
      <li>
    anonym.anonym.anonym.anonymize

      <ul>
        <li><a href="Examples.html#module-anonym.anonym.anonym.anonymize">module</a>
</li>
      </ul></li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li>
    anonym.anonym.anonym.import_data

      <ul>
        <li><a href="Import%20and%20save.html#module-anonym.anonym.anonym.import_data">module</a>
</li>
      </ul></li>
      <li>
    anonym.anonym.anonym.to_csv

      <ul>
        <li><a href="Import%20and%20save.html#module-anonym.anonym.anonym.to_csv">module</a>
</li>
      </ul></li>
      <li><a href="anonym.anonym.html#anonym.anonym.anonym.anonymize">anonymize() (anonym.anonym.anonym method)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="C">C</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="anonym.anonym.html#anonym.anonym.check_spacy_model">check_spacy_model() (in module anonym.anonym)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="anonym.anonym.html#anonym.anonym.clean_text">clean_text() (in module anonym.anonym)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="E">E</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="anonym.anonym.html#anonym.anonym.extract_entities">extract_entities() (in module anonym.anonym)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="anonym.anonym.html#anonym.anonym.extract_entities_for_string">extract_entities_for_string() (in module anonym.anonym)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="F">F</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="anonym.anonym.html#anonym.anonym.filter_for_values">filter_for_values() (in module anonym.anonym)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="G">G</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="anonym.anonym.html#anonym.anonym.generate_fake_labels">generate_fake_labels() (in module anonym.anonym)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="anonym.anonym.html#anonym.anonym.get_logger">get_logger() (in module anonym.anonym)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="I">I</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="anonym.anonym.html#anonym.anonym.anonym.import_data">import_data() (anonym.anonym.anonym method)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="anonym.anonym.html#anonym.anonym.anonym.import_example">import_example() (anonym.anonym.anonym method)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="M">M</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li>
    module

      <ul>
        <li><a href="anonym.anonym.html#module-anonym.anonym">anonym.anonym</a>
</li>
        <li><a href="Examples.html#module-anonym.anonym.anonym.anonymize">anonym.anonym.anonym.anonymize</a>
</li>
        <li><a href="Import%20and%20save.html#module-anonym.anonym.anonym.import_data">anonym.anonym.anonym.import_data</a>
</li>
        <li><a href="Import%20and%20save.html#module-anonym.anonym.anonym.to_csv">anonym.anonym.anonym.to_csv</a>
</li>
      </ul></li>
  </ul></td>
</tr></table>

<h2 id="P">P</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="anonym.anonym.html#anonym.anonym.preprocessing">preprocessing() (in module anonym.anonym)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="R">R</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="anonym.anonym.html#anonym.anonym.replace_label_with_fake">replace_label_with_fake() (in module anonym.anonym)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="S">S</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="anonym.anonym.html#anonym.anonym.set_logger">set_logger() (in module anonym.anonym)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="T">T</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="anonym.anonym.html#anonym.anonym.anonym.to_csv">to_csv() (anonym.anonym.anonym method)</a>
</li>
  </ul></td>
</tr></table>



           </div>
          </div>
          <footer>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright 2023, Data en Innovatielab (IenW).</p>
  </div>

  Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    provided by <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>